Subject: bug#26058: utf16->string and utf32->string don't conform to R6RS

From: Andy Wingo <[email-masked]>
Date: Mon, 13 Mar 2017 22:24:42 +0100

On Mon 13 Mar 2017 19:10, [email-masked] (Taylan Ulrich "Bayırlı/Kammer") writes:

> If I do binary I/O, the following situations are possible:
>
> 1. I'm guaranteed to get any possible bytes that happen to form a valid
>    BOM at the start of the stream as-is in the returned bytevector; the
>    binary I/O interface doesn't see such bytes as anything special, as
>    it could simply be coincidence that the stream starts with such
>    bytes.
>
> 2. I'm guaranteed *not* to get bytes that form a BOM at the start of the
>    stream; instead they're consumed to set the port encoding for any
>    future text I/O.
>
> 3. The behavior is unspecified and either of the above may happen.

(1).  But I thought this bug was about using a bytevector as a source
and then doing textual I/O on it, no?

Andy